package db.cm.config;

import db.cm.ConnectionManager;

public class AbstractConfigurator implements Configurator {
		
	public void configure(ConnectionManager pCM){
		if(pCM!=null) {
			pCM.init();
		}
	}
	
	public void reconfigure(ConnectionManager pCM){
		if(pCM!=null) {
			pCM.destroy();
			configure(pCM);
		}
	}

}