package db.conn;

import javax.sql.PooledConnection;
import javax.sql.XAConnection;

public class AbstractXAConnectorFactory extends AbstractPooledConnectorFactory implements XAConnectorFactory {

	public PooledConnection getPooledConnection() {		
		return getXAConnection();
	}
	
	public XAConnection getXAConnection() {
		//Do Nothing.
		return null;
	}	
}
