package json.serialize.test.entity;

import java.util.Map;

/**
 * An abstract vehicle class for demonstration.
 *
 */
public abstract class Vehicle {
	
	/**
	 * Returns the name of the vehicle
	 * 
	 * @return name of Vehicle
	 */
	public String getName(){
		return "Vehicle";
	}
	
	/**
	 * Returns the travelling mode of the vehicle
	 * 
	 * @return Travelling mode of Vehicle
	 */
	public abstract String getMode();
	
	
	/**
	 * Returns the various attributes of the vehicle
	 * 
	 * @return various attributes of the vehicle
	 */
	public abstract Map getAttributes();
	
}
