package db.conn;

import java.sql.Connection;
import java.sql.SQLException;

import javax.sql.PooledConnection;

public class AbstractPooledConnectorFactory extends AbstractConnectorFactory implements PooledConnectorFactory {

	 public Connection getConnection() {
		Connection mCon=null;
		PooledConnection mPCon=getPooledConnection();
		if(mPCon!=null) {
			try{
				mCon=mPCon.getConnection();
			} catch (SQLException eSQLE) {
				eSQLE.printStackTrace(); 
			}
		}
		return mCon;
	}
	 
	public PooledConnection getPooledConnection() {
		//Do Nothing.
		return null;
	}
	
}
