package db.conn;

import java.sql.SQLException;
import javax.sql.ConnectionPoolDataSource;
import javax.sql.PooledConnection;

public class AbstractPooledDataSourceConnectorFactory extends AbstractPooledConnectorFactory implements PooledDataSourceConnectorFactory {

	 public PooledConnection getPooledConnection() {
			PooledConnection mPCon=null;
			ConnectionPoolDataSource mPDS=getPooledDataSource();
			if(mPDS!=null) {
				try{
					mPCon=mPDS.getPooledConnection();
				} catch (SQLException eSQLE) {
					eSQLE.printStackTrace(); 
				}
			}
			return mPCon;
		}		 
		
	public ConnectionPoolDataSource getPooledDataSource() {	
		//Do Nothing.
		return null;
	}
	
}