package db.conn;

import java.sql.SQLException;
import javax.sql.XAConnection;
import javax.sql.XADataSource;

public class AbstractXADataSourceConnectorFactory extends AbstractXAConnectorFactory implements XADataSourceConnectorFactory {

	 public XAConnection getXAConnection() {
			XAConnection mXACon=null;
			XADataSource mXADS=getXADataSource();
			if(mXADS!=null) {
				try{
					mXACon=mXADS.getXAConnection();
				} catch (SQLException eSQLE) {
					eSQLE.printStackTrace(); 
				}
			}
			return mXACon;
		}		 
		
	public XADataSource getXADataSource() {
		//Do Nothing.
		return null;
	}
}